.dialogbox-control .label {
    font-size: 16px;

    padding-left: 15px;
}

.dialogbox-control .input-container {
    height: 35px;

    display: grid;
    grid-template-columns: 10px 1fr 35px;
}

.dialogbox-control .input-container .required-container {
    border: 1px solid black;
    border-right: 0px;
    border-radius: var(--borderRadius) 0px 0px var(--borderRadius);
    background-color: gainsboro;

    transition: 0.3s;
}

.dialogbox-control .input-container .required-container.isRequired:not(.isValid) {
    background-color: #c60000;
}

.dialogbox-control .input-container .required-container.isValid {
    background-color: #128033;
}

.dialogbox-control .input-container .textbox {
    font-size: 12px;

    border: 1px solid black;
    border-left: 0px;
    border-right: 0px;
    border-radius: 0px;

    padding-left: 5px;

    outline: none;

    background-color: var(--inputBackgroundColor);
}

.dialogbox-control .input-container .textbox:enabled:hover {
    cursor: pointer;
}

.dialogbox-control .input-container .icon-container {
    display: flex;
    justify-content: center;
    align-items: center;

    border: 1px solid black;
    border-left: 0px;
    border-radius: 0px var(--borderRadius) var(--borderRadius) 0px;

    background-color: var(--inputBackgroundColor);
}

.dialogbox-control .input-container .icon-container.isReadOnly {
    color: rgb(175, 175, 175);
    cursor: not-allowed !important;
}

.dialogbox-control .input-container .icon-container:hover {
    cursor: default;
}

.dialogbox-control .reset-input {
    display: flex;
    justify-content: end;

    font-size: 12px;
    font-style: italic;

    padding-right: 5px;
}

.dialogbox-control .reset-input:not(.isReadOnly):hover {
    cursor: pointer;
    text-decoration: underline;
}

.dialogbox-control .reset-input.isReadOnly {
    opacity: 0.3;
    cursor: not-allowed;
}